// DOS的Magic值
#[allow(dead_code)]
pub const DOS_MAGIC: u16 = 0x5A4D;
// DOS头部大小
#[allow(dead_code)]
pub const DOS_HEADER_SIZE: usize = 0x40;
// DOS头部中PE头部的偏移
pub const DOS_HEADER_PE_OFFSET: usize = 0x3C;
// NT头的Magic值
pub const NT_SIGNATURE: u32 = 0x00004550;
// 节对齐值的偏移
pub const SECTION_ALIGNMENT_OFFSET: usize = 0x38;
// 镜像大小的偏移
pub const IMAGE_SIZE_OFFSET: usize = 0x50;

// 可选头Magic如果为32位的值
#[allow(dead_code)]
pub const OPTIONAL_MAGIC_32: u16 = 0x10B;
// 可选头Magic如果为64位的值
pub const OPTIONAL_MAGIC_64: u16 = 0x20B;