mod constants;
pub mod error;
pub mod file_pe;
pub mod header;
pub mod memory_pe;
mod utils;
#[cfg(feature = "memmap2_impl")]
mod third_party {
    use crate::file_pe::{FilePE, MutablePE};
    use memmap2::{Mmap, MmapMut};
    // 为文件映射实现PE结构
    impl FilePE for Mmap {}

    // 为可变文件映射实现可操作PE结构
    impl FilePE for MmapMut {}
    impl MutablePE for MmapMut {}
}
